
Core - Task # 54812

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Epic # 55064 (Accepted): WP: Workspaces test cases / DataHandler bugfixes

Status: Resolved Priority: Should have
Author: Tymoteusz Motylewski Category:
Created: 2014-01-07 Assigned To: Tymoteusz Motylewski
Updated: 2014-01-31 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: Add functional tests from irre_tutorial to the core
Description

irre_tutorial extension contains some functional tests for the core and workspaces.
It would be nice to rewite them to the functional testing framework and include them in the core.

Associated revisions
Revision c9651784 - 2014-01-09 11:30 - Tymoteusz Motylewski

[TASK] Add functional tests from irre_tutorial to the core

Add irre_tutorial extension as mock extension for functional tests.
Port functional tests from IRRE tutorial to the functional testing
framework and include them in the core and workspaces extensions.
Some tests are skipped for now, because the core is buggy.

Releases: 6.2
Resolves: #54812
Change-Id: I691dd97e7649c8239b6e96ce6f9a9d59e9b124c4
Reviewed-on: https://review.typo3.org/26674
Tested-by: Markus Klein
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-01-07 16:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#2 - 2014-01-07 17:51 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674
#3 - 2014-01-07 18:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#4 - 2014-01-08 13:38 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#5 - 2014-01-08 20:18 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#6 - 2014-01-08 21:47 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#7 - 2014-01-08 22:06 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#8 - 2014-01-08 22:20 - Oliver Hader
- Parent task set to #54852

#9 - 2014-01-09 01:27 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26674

#10 - 2014-01-09 11:30 - Tymoteusz Motylewski
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c9651784167c6d87639f6c911af53ecc738cca50.

#11 - 2014-01-31 14:48 - Ingo Schmitt
- Parent task changed from #54852 to #55064
